## ros-humble-create-robot 3.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(create_robot)
find_package(ament_cmake REQUIRED)
ament_package()

=== debian/changelog ===
ros-humble-create-robot (3.1.0-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacobmperron@gmail.com>  Sat, 20 May 2023 16:00:00 -0000

ros-humble-create-robot (3.0.0-1bookworm) bookworm; urgency=high

  * Update maintainer email
  * Port to ROS 2 (foxy) (#8 <https://github.com/autonomylab/create_robot/issues/8>)
  * Update URLs to point to autonomylab repository
  * Update maintainer info
  * Rename packages for clarity
    Originally the packages were named as 'create_autonomy', with the 'ca_' suffix for short.
    This was due to a name conflict with the turtlebot packages (e.g. create_driver and create_description):
    https://github.com/turtlebot/turtlebot_create.git
    Since the turtlebot packages are not released into ROS Melodic, the plan is to release these packages instead.
    If the turtlebot packages are eventually released, it should be straightforward to adapt them to use the
    description and driver packages here.
    Summary of renaming:
    * create_autonomy -> create_robot
    * ca_description -> create_description
    * ca_driver -> create_driver
    * ca_msgs -> create_msgs
    * ca_tools -> create_bringup
  * Contributors: Jacob Perron, Pedro Grojsgold

 -- Jacob Perron <jacobmperron@gmail.com>  Fri, 12 May 2023 16:00:00 -0000

ros-humble-create-robot (1.3.0-1bookworm) bookworm; urgency=high

  * Migrate to package.xml format 2
    
    Minor linting to package files.
  * Contributors: Jacob Perron

 -- Jacob Perron <jacobmperron@gmail.com>  Sat, 09 Jun 2018 16:00:00 -0000

ros-humble-create-robot (1.2.0-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacobmperron@gmail.com>  Thu, 06 Oct 2016 16:00:00 -0000

ros-humble-create-robot (1.1.0-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacobmperron@gmail.com>  Fri, 22 Jul 2016 16:00:00 -0000

ros-humble-create-robot (1.0.1-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacobmperron@gmail.com>  Mon, 23 May 2016 16:00:00 -0000

ros-humble-create-robot (1.0.0-1bookworm) bookworm; urgency=high

  * Add ca_description package
  * Add ca_msgs to metapackage
  * Rename 'create_driver' and 'create_tools' to 'ca_driver' and 'ca_tools'
  * Contributors: Jacob Perron

 -- Jacob Perron <jacobmperron@gmail.com>  Thu, 31 Mar 2016 16:00:00 -0000

ros-humble-create-robot (0.4.0-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacobmperron@gmail.com>  Fri, 25 Mar 2016 16:00:00 -0000

ros-humble-create-robot (0.3.0-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacobmperron@gmail.com>  Wed, 16 Mar 2016 16:00:00 -0000

ros-humble-create-robot (0.2.0-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacobmperron@gmail.com>  Wed, 02 Mar 2016 16:00:00 -0000

ros-humble-create-robot (0.1.0-1bookworm) bookworm; urgency=high

  * Added CI (travis)
  * Added create_tools with teleop launch and config files
  * Initial commit
  * Contributors: Jacob Perron

 -- Jacob Perron <jacobmperron@gmail.com>  Thu, 04 Feb 2016 16:00:00 -0000

=== debian/control ===
Source: ros-humble-create-robot
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacobmperron@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ros-workspace
Homepage: http://wiki.ros.org/create_robot
Standards-Version: 3.9.2

Package: ros-humble-create-robot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-create-bringup, ros-humble-create-description, ros-humble-create-driver, ros-humble-create-msgs, ros-humble-ros-workspace
Description: ROS driver for iRobot's Create 1 and 2, based on the libcreate C++ library

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-create-robot//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-create-robot//opt/ros/humble/opt/create_robot/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
